/*
 * ******************************************************************************************
 *
 * File		: apb_pit_dev.h
 * Author	: GOWIN
 * Function	: Device definition of APB PIT and PWM
 *
 * ******************************************************************************************
 */

#ifndef __APB_PIT_DEV_H__
#define __APB_PIT_DEV_H__


#ifdef __cplusplus
extern "C" {
#endif


// Includes ---------------------------------------------------------------------------------
#include "apb_pit.h"
#include "platform.h"


// Definitions ------------------------------------------------------------------------------

/*************************************************************************************
 * An APB PIT or PWM device is defined as a user template.
 *************************************************************************************/

/*************************************************************************************
 * "X" represents user customized.
 *************************************************************************************/

#define APB_PIT_BASE			APB_EXT_BASE/*X*/						// APB PIT or PWM address definition
#define DEV_APB_PIT 			((APB_PIT_RegDef *)  APB_PIT_BASE)		// APB PIT or PWM device definition

#define IRQ_APB_PIT_SOURCE		IRQ_GP0_SOURCE/*X*/						// APB PIT or PWM interrupt source
#define apb_pit_irq_handler		gp0_irq_handler/*X*/					// APB PIT or PWM interrupt handler


#ifdef __cplusplus
}
#endif


#endif	/* __APB_PIT_DEV_H__ */
